#pragma once
#include "decodermp3.h"
#include "decoderwav.h"
#include <cstdio>

enum{
    TYPE_NULL=0,
    TYPE_WAV,
    TYPE_MP3
};
int get_type( const char* fname );
decoder* load_sound( const char* fname );
